using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace GreadyPoang.DataLayer.Migrations
{
    /// <inheritdoc />
    public partial class FixHeatToRoundParams : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "GameHeatRegNr",
                table: "GamePoints",
                newName: "GameRoundRegNr");

            migrationBuilder.RenameColumn(
                name: "GameHeatId",
                table: "GamePoints",
                newName: "GameRoundId");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "GameRoundRegNr",
                table: "GamePoints",
                newName: "GameHeatRegNr");

            migrationBuilder.RenameColumn(
                name: "GameRoundId",
                table: "GamePoints",
                newName: "GameHeatId");
        }
    }
}
